Subject: Ticket Assigned - Click & Collect
From: Splash <[email-masked]>
To: [email-masked]
Date: Sun, 11 Jul 2021 09:45:04 +0000

Hi Prince Malik,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Click & Collect I was interested in getting a special discount on my next in-store purchase by showing my order ID as advertised. The staff at the store replied that this offer is only applicable if I come to the store the same day the order is placed on, does it make any sense? The order is not ready to pick up on the same day anyhow! Also, I had to wait in the queue at splash for long time, only to find out that I have to pick my order from mother care instead! There should be some board or sign indicating the same at entrance to avoid wasting precious time! https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/2841691